pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Making DESTDIR support mandatory

On Thu, Mar 31, 2011 at 12:10:23AM +0400, Aleksej Saushev wrote:
> Joerg Sonnenberger <> writes:
> > we are not at the point that only 127 packages in the main tree don't
> > support DESTDIR. I want to make it a required feature now and mark all
> > remaining packages explicitly as BROKEN after the branch.
> I think this is plain wrong. You can't replace some packages that don't
> support staged installation now, e.g. all older gcc, nagios packages, and ghc.

At least GCC doesn't count. If someone really wants to have the old
version, it isn't that difficult to fix. Nagios doesn't really count
too, since the build system already has a good part of the DESTDIR
support as well, see patch-aa. I can't comment on GHC, but even then
there are alternatives like fakeroot.


Home | Main Index | Thread Index | Old Index